﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AddressCollectionResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   The address collection response class.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Collections.ObjectModel;
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Models;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// Address collection response class.
    /// </summary>
    [DataContract]
    public class AddressCollectionResponse : ServiceResponse
    {
        /// <summary>
        /// The addresses.
        /// </summary>
        [DataMember]
        public Collection<Address> Addresses { get; set; }
        
        /// <summary>
        /// Initializes a new instance of the <see cref="AddressCollectionResponse"/> class.
        /// </summary>
        public AddressCollectionResponse()
        {
            this.Addresses = new Collection<Address>();
        }
    }
}