﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ExtendedDeliveryOptionsResponse.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   ExtendedDeliveryOptionsResponse class
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using System.Runtime.Serialization;
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Services;

    /// <summary>
    /// ExtendedDeliveryOptionsResponse class.
    /// </summary>
    [DataContract]
    public class ExtendedDeliveryOptionsResponse : DeliveryOptionsResponse
    {
        /// <summary>
        /// Gets or sets the pickup delivery mode code.
        /// </summary>
        /// <value>
        /// The pickup delivery mode code.
        /// </value>
        [DataMember]
        public string PickupDeliveryModeCode { get; set; }

        /// <summary>
        /// Gets or sets the email delivery mode code.
        /// </summary>
        /// <value>
        /// The email delivery mode code.
        /// </value>
        [DataMember]
        public string EmailDeliveryModeCode { get; set; }
    }
}