﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ServiceConfiguration.cs" company="Sitecore Corporation">
//   Copyright (c) Sitecore Corporation 1999-2016
// </copyright>
// <summary>
//   The implementation of IConfiguration object for Web Storefront.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Sitecore.Commerce.DynamicsRetail.TransactionService
{
    using Microsoft.Dynamics.Retail.Ecommerce.Sdk.Core.Storefront;
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    /// The implementation of IConfiguration object for Web Storefront.
    /// </summary>
    [ExcludeFromCodeCoverage]
    public class ServiceConfiguration : IConfiguration
    {
        /// <summary>
        /// Gets the culture name from the cookie.
        /// </summary>
        /// <returns>The culture name as string.</returns>
        public string GetCurrentCulture()
        {
            return Utilities.GetCultureIdFromCookie();
        }
    }
}